<?php
/*
 * @package Joomla 1.5
 * @copyright Copyright (C) 2005 Open Source Matters. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
//Joomla version 1.6 and later
define("JOOMLA_LEGACY_VERSION"		, false);
define('JOOMLA_MENU_NAME' 			, 'title');
define("JOOMLA_MENU_COMPONENT_ID"	, 'component_id');


class com_avtodispetcherInstallerScript
{

	function addMenuItems()
	{
		$db = JFactory::getDBo();

		$query 	= 'SELECT auto_increment as extension_id FROM information_schema.tables WHERE table_name="'.$db->getPrefix().'extensions"';
		$db->setQuery( $query );
	   	$component 	= $db->loadAssoc();

		// Get new component id.
	    //$component		= JComponentHelper::getComponent('com_avtodispetcher');

		$component_id	= 0;
		if (is_array($component) && (isset($component['extension_id'])))
		{
			$component_id 	= $component['extension_id'];
		}

		// Component not found ?
		if ($component_id ==0) return false;

		$column_name	= JOOMLA_MENU_NAME;
		$column_cid		= JOOMLA_MENU_COMPONENT_ID;

		jimport('joomla.application.application');
		$defaultMenuType	= JApplication::getInstance('site')->getMenu()->getDefault('workaround_joomla_bug')->menutype;



		// Update the existing menu items.
		$row		= JTable::getInstance ( 'menu', 'JTable' );

		$row->menutype = $defaultMenuType;
		$row->$column_name = 'Расчет Расстояний';
		$row->alias = 'avtodispetcher';
		$row->link = 'index.php?option=com_avtodispetcher&view=distance';
		$row->type = 'component';
		$row->published = '1';
		$row->$column_cid = $component_id;
		$row->id = null; //new item
		$row->language	= '*';

		$row->check();

		if(!$row->store())
		{
			return false;
		}

		//for version 1.6 only. The parent_id is not updated correctly via JTable
		$query = 'UPDATE #__menu SET `parent_id` = "1", `level` = "1" WHERE `id` = ' . $db->quote($row->id);
		$db->setQuery($query);
        $db->execute();

		if($db->getErrorNum())
		{
			return false;
		}

		return true;
	}

		/**
         * method to install the component
         *
         * @return void
         */
    function install($parent)
    {
		$this->addMenuItems();
        return true;
    }


}

?>